##
## THIS LIBRARY IS FOR NEC ELECTORONICS INTERNAL USE ONLY.
## Copyright (C) NEC Electronics Corporation 2008
##
## SOC Encounter Add Attribute for Shield Sample Script
##
## Ver.2.2   2009-04-17
##

#set DESIGN       <design name>     ; # Specify in the config file
set inputConfig  ../../database/conf/VDEC_soce.conf

set inputLef     ../../database/lef/lef
set inputDef     ../05_route/route.def.gz
set inputVerilog ../04_cts/cts.v.gz

#set ShieldNetList ./file/shield_net.list2

set FromRule     SP        ; # Specify "default" or NONDEFAULTRULE name
set ToRule       default   ; # Specify "default" or NONDEFAULTRULE name

#set inputECOFile     <input ECO file>

# -----------------------------------------------------------------------------

set dbgUpdateDefRows 0
set dbgUseSiteAsIGU 1

setCompressLevel 9

### for general flow (from here) ###

loadConfig $inputConfig  0
#set rda_Input(ui_topcell) "$DESIGN"
set rda_Input(ui_netlist) "$inputVerilog"
set rda_Input(ui_leffile) "$inputLef"
set rda_Input(ui_timelib,max) ""
set rda_Input(ui_timelib,min) ""
set rda_Input(ui_captbl_file) ""
set rda_Input(ui_timingcon_file) ""
commitConfig

if { [ info exists inputECOFile ] } { loadECO  $inputECOFile }

defIn $inputDef
