#######################################################
#                                                     #
#  Encounter Command Logging File                     #
#  Created on Thu Jul  8 22:27:45 2010                #
#                                                     #
#######################################################

#@(#)CDS: First Encounter v08.10-s207_1 (64bit) 03/03/2009 17:42 (Linux 2.6)
#@(#)CDS: NanoRoute v08.10-s073 NR090226-1110/USR59-UB (database version 2.30, 71.1.1) {superthreading v1.11}
#@(#)CDS: CeltIC v08.11-s187_1 (64bit) 02/26/2009 16:10:32 (Linux 2.6.9-67.0.10.ELsmp)
#@(#)CDS: CTE v08.10-s163_1 (64bit) Mar  3 2009 15:23:00 (Linux 2.6.9-67.0.10.ELsmp)
#@(#)CDS: CPE v08.11-s010

setCompressLevel 9
loadConfig ../../database/conf/VDEC_soce.conf 0
commitConfig
defIn ../06_shield_repair/shield.def.gz
setCompressLevel 9
loadConfig ../../database/conf/VDEC_soce.conf 0
commitConfig
defIn ../06_shield/shield.def.gz
setPrerouteAsObs 1
setSnapGrid -layer { 1 2 3 4 5 6 7 } -pitch 0.033 0.033
setMultiCpuUsage -numThreads 1
setBetaFeature soceMFGridBasedAlgo 1
dbGet -p head.allCells.objType libCell
setMetalFill -layer { 1 2 3 4 5 6 7 } -windowSize 11.880 11.880 -windowStep 11.880 11.880
setMetalFill -layer { 1 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0
setMetalFill -layer { 2 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0
setMetalFill -layer { 3 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0
setMetalFill -layer { 4 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0
setMetalFill -layer { 5 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0
setMetalFill -layer { 6 } -minDensity 30.0 -preferredDensity 14.0 -maxDensity 75.0
setMetalFill -layer { 7 } -minDensity 25.0 -preferredDensity 20.0 -maxDensity 75.0
setMetalFill -iterationName step1 -layer { 1 2 3 4 5 6 7 } -windowSize 11.880 11.880 -windowStep 11.880 11.880
setMetalFill -iterationName step1 -layer { 1 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0 -activeSpacing 0.462 -gapSpacing 0.132 -maxLength 7.392 -minLength 0.264 -maxWidth 0.264 -minWidth 0.264
setMetalFill -iterationName step1 -layer { 2 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0 -activeSpacing 0.462 -gapSpacing 0.132 -maxLength 7.392 -minLength 0.264 -maxWidth 0.264 -minWidth 0.264
setMetalFill -iterationName step1 -layer { 3 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0 -activeSpacing 0.462 -gapSpacing 0.132 -maxLength 7.392 -minLength 0.264 -maxWidth 0.264 -minWidth 0.264
setMetalFill -iterationName step1 -layer { 4 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0 -activeSpacing 0.462 -gapSpacing 0.132 -maxLength 7.392 -minLength 0.264 -maxWidth 0.264 -minWidth 0.264
setMetalFill -iterationName step1 -layer { 5 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0 -activeSpacing 0.462 -gapSpacing 0.132 -maxLength 7.392 -minLength 0.264 -maxWidth 0.264 -minWidth 0.264
setMetalFill -iterationName step1 -layer { 6 } -minDensity 30.0 -preferredDensity 14.0 -maxDensity 75.0 -activeSpacing 0.858 -gapSpacing 0.198 -maxLength 7.392 -minLength 0.132 -maxWidth 0.528 -minWidth 0.528
setMetalFill -iterationName step1 -layer { 7 } -minDensity 25.0 -preferredDensity 20.0 -maxDensity 75.0 -activeSpacing 2.508 -gapSpacing 0.528 -maxLength 7.392 -minLength 0.429 -maxWidth 1.584 -minWidth 1.584
setMetalFill -iterationName step2 -layer { 1 2 3 4 5 6 7 } -windowSize 11.880 11.880 -windowStep 11.880 11.880
setMetalFill -iterationName step2 -layer { 1 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0 -activeSpacing 0.330 -gapSpacing 0.066 -maxLength 7.392 -minLength 0.264 -maxWidth 0.066 -minWidth 0.066
setMetalFill -iterationName step2 -layer { 2 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0 -activeSpacing 0.264 -gapSpacing 0.066 -maxLength 7.392 -minLength 0.330 -maxWidth 0.066 -minWidth 0.066
setMetalFill -iterationName step2 -layer { 3 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0 -activeSpacing 0.264 -gapSpacing 0.066 -maxLength 7.392 -minLength 0.330 -maxWidth 0.066 -minWidth 0.066
setMetalFill -iterationName step2 -layer { 4 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0 -activeSpacing 0.264 -gapSpacing 0.066 -maxLength 7.392 -minLength 0.330 -maxWidth 0.066 -minWidth 0.066
setMetalFill -iterationName step2 -layer { 5 } -minDensity 25.0 -preferredDensity 13.0 -maxDensity 75.0 -activeSpacing 0.264 -gapSpacing 0.066 -maxLength 7.392 -minLength 0.330 -maxWidth 0.066 -minWidth 0.066
setMetalFill -iterationName step2 -layer { 6 } -minDensity 30.0 -preferredDensity 14.0 -maxDensity 75.0 -activeSpacing 0.528 -gapSpacing 0.132 -maxLength 7.392 -minLength 0.528 -maxWidth 0.132 -minWidth 0.132
setMetalFill -iterationName step2 -layer { 7 } -minDensity 25.0 -preferredDensity 20.0 -maxDensity 75.0 -activeSpacing 1.584 -gapSpacing 0.396 -maxLength 7.392 -minLength 1.617 -maxWidth 0.396 -minWidth 0.396
addMetalFill -iterationNameList { step1 step2 } -extraConfig cont.conf -layer { 1 2 3 4 5 6 7 } -area -933.960 -933.960 941.040 941.040 -timingAware on -snap -onCells -stagger off -useNonDefaultSpacing
setMetalFill -layer { 1 2 3 4 5 } -windowSize 95.040 95.040 -windowStep 23.760 23.760 -minDensity 13.5 -maxDensity 100.0 -preferredDensity 13.5
setMetalFill -layer { 6 } -windowSize 95.040 95.040 -windowStep 23.760 23.760 -minDensity 14.5 -maxDensity 100.0 -preferredDensity 14.5
setMetalFill -layer { 7 } -windowSize 475.200 475.200 -windowStep 95.040 95.040 -minDensity 20.5 -maxDensity 100.0 -preferredDensity 20.5
verifyMetalDensity -layers { M1 M2 M3 M4 M5 M6 M7 } -area {-933.960 -933.960 941.040 941.040} -reportfile metal_density_final1_min.rpt -detailed
saveDrc verify_metal1_min.drc
setMetalFill -layer { 1 2 3 4 5 } -windowSize 23.760 23.760 -windowStep 11.880 11.880 -minDensity 0.0 -maxDensity 75.0 -preferredDensity 13.5
setMetalFill -layer { 6 } -windowSize 23.760 23.760 -windowStep 11.880 11.880 -minDensity 0.0 -maxDensity 75.0 -preferredDensity 14.5
setMetalFill -layer { 7 } -windowSize 142.560 142.560 -windowStep 35.640 35.640 -minDensity 0.0 -maxDensity 75.0 -preferredDensity 20.5
verifyMetalDensity -layers { M1 M2 M3 M4 M5 M6 M7 } -area {-933.960 -933.960 941.040 941.040} -reportfile metal_density_final1_max.rpt -detailed
saveDrc verify_metal1_max.drc
setMetalFill -layer { 1 2 3 4 5 6 7 } -windowSize 2317.92 2317.92 -windowStep 2317.92 2317.92
setMetalFill -layer { 1 } -minDensity 25.0 -maxDensity 100.0 -preferredDensity 25.0
setMetalFill -layer { 2 } -minDensity 25.0 -maxDensity 100.0 -preferredDensity 25.0
setMetalFill -layer { 3 } -minDensity 25.0 -maxDensity 100.0 -preferredDensity 25.0
setMetalFill -layer { 4 } -minDensity 25.0 -maxDensity 100.0 -preferredDensity 25.0
setMetalFill -layer { 5 } -minDensity 25.0 -maxDensity 100.0 -preferredDensity 25.0
setMetalFill -layer { 6 } -minDensity 30.0 -maxDensity 100.0 -preferredDensity 30.0
setMetalFill -layer { 7 } -minDensity 25.0 -maxDensity 100.0 -preferredDensity 25.0
verifyMetalDensity -layers { M1 M2 M3 M4 M5 M6 M7 } -area {-1158.96 -1158.96 1158.96 1158.96} -reportfile metal_density_final2_min.rpt -detailed
saveDrc verify_metal2_min.drc
setMetalFill -layer { 1 2 3 4 5 6 7 } -windowSize 2317.92 2317.92 -windowStep 2317.92 2317.92
setMetalFill -layer { 1 } -minDensity 0.0 -maxDensity 50.0 -preferredDensity 25.0
setMetalFill -layer { 2 } -minDensity 0.0 -maxDensity 50.0 -preferredDensity 25.0
setMetalFill -layer { 3 } -minDensity 0.0 -maxDensity 50.0 -preferredDensity 25.0
setMetalFill -layer { 4 } -minDensity 0.0 -maxDensity 50.0 -preferredDensity 25.0
setMetalFill -layer { 5 } -minDensity 0.0 -maxDensity 50.0 -preferredDensity 25.0
setMetalFill -layer { 6 } -minDensity 0.0 -maxDensity 50.0 -preferredDensity 30.0
setMetalFill -layer { 7 } -minDensity 0.0 -maxDensity 60.0 -preferredDensity 25.0
verifyMetalDensity -layers { M1 M2 M3 M4 M5 M6 M7 } -area {-1158.96 -1158.96 1158.96 1158.96} -reportfile metal_density_final2_max.rpt -detailed
saveDrc verify_metal2_max.drc
setMetalFill -layer { 1 2 3 4 5 } -windowSize 11.880 11.880 -windowStep 11.880 11.880 -minDensity 0.01 -maxDensity 100.0 -preferredDensity 13.0
setMetalFill -layer { 6 } -windowSize 11.880 11.880 -windowStep 11.880 11.880 -minDensity 0.01 -maxDensity 100.0 -preferredDensity 14.0
setMetalFill -layer { 7 } -windowSize 47.520 47.520 -windowStep 47.520 47.520 -minDensity 0.01 -maxDensity 100.0 -preferredDensity 20.0
verifyMetalDensity -layers { M1 M2 M3 M4 M5 M6 M7 } -area {-933.960 -933.960 941.040 941.040} -reportfile metal_density_final3.rpt -detailed
saveDrc verify_metal3.drc
defOut -floorplan -placement -netlist -routing -noCutRow ./metalfill.def.gz
